Package com.arms.api.analysis.cost.service

## Class SalaryServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.analysis.cost.service.SalaryServiceImpl

- All Implemented Interfaces:
    `SalaryService`, `TreeService`

      @Service
      public class SalaryServiceImpl
      extends TreeServiceImpl
      implements SalaryService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SalaryServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<SalaryEntity>` | `compareSalaryInfo​(java.util.List<SalaryVO> SalaryVO)` |
    `java.util.List<SalaryVO>` | `getAllSalaries()` |
    `java.util.Map<java.lang.String,​SalaryEntity>` | `getAllSalariesMap()` |
    `java.util.List<SampleDTO>` | `getSampleSalaryInfo()` |
    `java.util.List<SalaryVO>` | `saveExcelDataToDB​(java.util.List<SalaryEntity> salaryEntityList)` |
    `int` | `updateSalary​(java.util.List<SalaryEntity> salaryEntityList)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### SalaryServiceImpl

          public SalaryServiceImpl()

  - ### Method Detail

    - #### getSampleSalaryInfo

          public java.util.List<SampleDTO> getSampleSalaryInfo()

      Specified by:
        `getSampleSalaryInfo` in interface `SalaryService`

    - #### compareSalaryInfo

          @Transactional
          public java.util.List<SalaryEntity> compareSalaryInfo​(java.util.List<SalaryVO> SalaryVO)
                                                         throws java.lang.Exception

      Specified by:
        `compareSalaryInfo` in interface `SalaryService`
      Throws:
        `java.lang.Exception`

    - #### saveExcelDataToDB

          @Transactional
          public java.util.List<SalaryVO> saveExcelDataToDB​(java.util.List<SalaryEntity> salaryEntityList)
                                                     throws java.lang.Exception

      Specified by:
        `saveExcelDataToDB` in interface `SalaryService`
      Throws:
        `java.lang.Exception`

    - #### getAllSalariesMap

          public java.util.Map<java.lang.String,​SalaryEntity> getAllSalariesMap()
                                                                               throws java.lang.Exception

      Specified by:
        `getAllSalariesMap` in interface `SalaryService`
      Throws:
        `java.lang.Exception`

    - #### getAllSalaries

          public java.util.List<SalaryVO> getAllSalaries()
                                                  throws java.lang.Exception

      Specified by:
        `getAllSalaries` in interface `SalaryService`
      Throws:
        `java.lang.Exception`

    - #### updateSalary

          @Transactional
          public int updateSalary​(java.util.List<SalaryEntity> salaryEntityList)
                           throws java.lang.Exception

      Specified by:
        `updateSalary` in interface `SalaryService`
      Throws:
        `java.lang.Exception`